Magick++: Magick::TypeMetric Class Reference

Magick++ 7.1.0

Public Member Functions | Friends | List of all members
Magick::TypeMetric Class Reference

`#include <TypeMetric.h>`

## Public Member Functions
| TypeMetric (void)
| ~TypeMetric (void)
double | ascent (void) const
Geometry | bounds (void) const
double | descent (void) const
double | maxHorizontalAdvance (void) const
Coordinate | origin (void) const
Coordinate | pixelsPerEm (void) const
double | textHeight (void) const
double | textWidth (void) const
double | underlinePosition (void) const
double | underlineThickness (void) const

## Friends
class | Image

## Detailed Description

Definition at line 21 of file TypeMetric.h.

## Constructor & Destructor Documentation

## ◆ TypeMetric()

Magick::TypeMetric::TypeMetric | ( | void |  | ) |

Definition at line 18 of file TypeMetric.cpp.

## ◆ ~TypeMetric()

Magick::TypeMetric::~TypeMetric | ( | void |  | ) |

Definition at line 23 of file TypeMetric.cpp.

## Member Function Documentation

## ◆ ascent()

double Magick::TypeMetric::ascent | ( | void |  | ) | const

Definition at line 27 of file TypeMetric.cpp.

## ◆ bounds()

Magick::Geometry Magick::TypeMetric::bounds | ( | void |  | ) | const

Definition at line 32 of file TypeMetric.cpp.

References Magick::Geometry.

## ◆ descent()

double Magick::TypeMetric::descent | ( | void |  | ) | const

Definition at line 39 of file TypeMetric.cpp.

## ◆ maxHorizontalAdvance()

double Magick::TypeMetric::maxHorizontalAdvance | ( | void |  | ) | const

Definition at line 44 of file TypeMetric.cpp.

## ◆ origin()

Magick::Coordinate Magick::TypeMetric::origin | ( | void |  | ) | const

Definition at line 49 of file TypeMetric.cpp.

## ◆ pixelsPerEm()

Magick::Coordinate Magick::TypeMetric::pixelsPerEm | ( | void |  | ) | const

Definition at line 54 of file TypeMetric.cpp.

## ◆ textHeight()

double Magick::TypeMetric::textHeight | ( | void |  | ) | const

Definition at line 59 of file TypeMetric.cpp.

## ◆ textWidth()

double Magick::TypeMetric::textWidth | ( | void |  | ) | const

Definition at line 64 of file TypeMetric.cpp.

## ◆ underlinePosition()

double Magick::TypeMetric::underlinePosition | ( | void |  | ) | const

Definition at line 69 of file TypeMetric.cpp.

## ◆ underlineThickness()

double Magick::TypeMetric::underlineThickness | ( | void |  | ) | const

Definition at line 74 of file TypeMetric.cpp.

## Friends And Related Function Documentation

## ◆ Image

friend class Image
| friend

Definition at line 23 of file TypeMetric.h.

The documentation for this class was generated from the following files:

- TypeMetric.h
- TypeMetric.cpp